Bug 20569 - Improve description of CheckPrevCheckout system preference
Summary: Improve description of CheckPrevCheckout system preference
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jasmine Amohia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-04-12 08:00 UTC by Katrin Fischer
Modified: 2019-02-12 15:26 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
A simple string patch that clarifies the intention of the CheckPrevCheckout system preference options.
Version(s) released in:


Attachments
Bug 20569: Improved description of CheckPrevCheckout system preference (1.43 KB, patch)
2019-01-15 21:50 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 20569: Improved description of CheckPrevCheckout system preference (1.48 KB, patch)
2019-01-16 10:35 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 20569: Improved description of CheckPrevCheckout system preference (1.54 KB, patch)
2019-01-16 20:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-04-12 08:00:57 UTC
The CheckPrefCheckout system preference has 4 possible settings, but it's not clear what the 'overridden' means in this context. The system preference description should be improved.

See and verify:
https://bywatersolutions.com/2017/10/09/koha-tutorial-check-previous-checkouts/
Comment 1 Jasmine Amohia 2019-01-15 21:50:34 UTC
Created attachment 84026 [details] [review]
Bug 20569: Improved description of CheckPrevCheckout system preference

The CheckPrevCheckout preference can be overriden by a setting in the
patron categories, I've edited the options to reflect this.

Test plan:
1. Check the CheckPrevCheckout system preferences and confirm that the
options are clear
Comment 2 ByWater Sandboxes 2019-01-16 10:35:24 UTC
Created attachment 84046 [details] [review]
Bug 20569: Improved description of CheckPrevCheckout system preference

The CheckPrevCheckout preference can be overriden by a setting in the
patron categories, I've edited the options to reflect this.

Test plan:
1. Check the CheckPrevCheckout system preferences and confirm that the
options are clear

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2019-01-16 10:36:32 UTC
This makes it clearer. Nice work Jasmine!
Comment 4 Katrin Fischer 2019-01-16 20:15:55 UTC
Created attachment 84081 [details] [review]
Bug 20569: Improved description of CheckPrevCheckout system preference

The CheckPrevCheckout preference can be overriden by a setting in the
patron categories, I've edited the options to reflect this.

Test plan:
1. Check the CheckPrevCheckout system preferences and confirm that the
options are clear

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-01-28 14:12:08 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-01 12:58:30 UTC
Pushed to 18.11.x for 18.11.03
Comment 7 Jesse Maseto 2019-02-06 18:06:05 UTC
Pushed to 18.05.x for 18.05.09
Comment 8 Fridolin SOMERS 2019-02-12 15:26:37 UTC
I prefer not push to 17.11.x to avoid translation work